@using Microsoft.AspNetCore.Identity
@using FinalProjectTBI.Data.Models

@inject SignInManager<ApplicationUser> SignInManager
@inject UserManager<ApplicationUser> UserManager

@if (SignInManager.IsSignedIn(User))
{
    <form asp-area="" asp-controller="Account" asp-action="Logout" method="post" id="logoutForm" class="navbar-right">
        <ul class="nav navbar-nav navbar-right">
            @if (User.IsInRole("Manager"))
            {
                <li>
                    <a asp-area="" asp-controller="Account" asp-action="RegisterManager">Register Users</a>
                </li>
            }
            else
            {

            }
            <li>
                <a asp-area="" asp-controller="Manage" asp-action="ChangePassword" title="Manage">Hello @UserManager.GetUserName(User)!</a>
            </li>
            <li>
                <button type="submit" class="btn btn-link navbar-btn navbar-link">Log out</button>
            </li>
        </ul>
    </form>
}
else
{
    <ul class="nav navbar-nav navbar-right">
        <li><a asp-area="" asp-controller="Account" asp-action="Login">Log in</a></li>
    </ul>
}
